%global momorel 8

Summary: Action game for Gnome
Name: monkey-bubble
Version: 0.4.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Amusements/Games
URL: http://home.gna.org/monkeybubble/
Source0: http://home.gna.org/monkeybubble/downloads/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: monkey-bubble-0.4.0-help.patch
Patch1: monkey-bubble-0.4.0-player1_key.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.10.3
BuildPrereq: glib2-devel >= 2.12.3
BuildPrereq: GConf2-devel >= 2.14.0
BuildPrereq: librsvg2-devel >= 2.22.2-3m
BuildPrereq: gstreamer-devel >= 0.10.8
BuildPrereq: libxml2-devel >= 2.6.26
BuildPrereq: libgnomeui-devel >= 2.16.0
BuildPrereq: libglade2-devel >= 2.6.0

%description
Monkey Bubble is in a game in which you must explode all bubbles in
the game area.
You explode bubbles by putting at least 3 of the same colour in
contact. Any bubble that is connected to the top or the sides of the
game area by bubbles you just exploded falls too.

%prep
%setup -q
%patch0 -p1 -z .help
%patch1 -p1 -z .P1key

%build
%configure --disable-schemas-install --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/monkey-srv
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/monkey-bubble-icon.png

%changelog
* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-8m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-7m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-6m)
- %%NoSource -> NoSource

* Sat Jul 28 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-5m)
- modify Patch1 (add Pause key patch)

* Tue Jul 17 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-4m)
- add Patch1

* Sun Jun 10 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-3m)
- add Patch0

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-2m)
- To Main

* Fri Sep 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- initial build
